<?php
    // Safety first
    include '../../login.php';
    include '../segments/withSegment.php';

    // Get domain, POST
    $domain = @$_POST["domain"]; 

    $query = "SELECT COUNT(DISTINCT ust_clients.id)
              FROM `ust_clients`
              USE INDEX(`ust_clients_first_date_idx`)
              INNER JOIN `ust_clientpage`
                ON ust_clientpage.clientid = ust_clients.id AND ust_clients.domain = :domain
                $segmentAfterWhereQueries
      ";


    $stmt = $db->prepare($query);
    $stmt->bindValue(':domain', $domain, PDO::PARAM_STR);
    bindSegmentAfterWhereQueries($stmt);
    $stmt->execute();

    $result = $stmt->fetchColumn();

    echo $result;
?>
